> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a session queue

> Replace the order of messages waiting in a session queue.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public put /v1/sessions/{sessionId}/queue
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/sessions/{sessionId}/queue:
    put:
      tags:
        - Sessions
      summary: Update a session queue
      description: Replace the order of messages waiting in a session queue.
      operationId: updateSessionQueue
      parameters:
        - in: path
          name: sessionId
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                messageIds:
                  type: array
                  items:
                    type: string
                    format: uuid
                  maxItems: 500
              required:
                - messageIds
              additionalProperties: false
      responses:
        '200':
          description: Update a session queue
          content:
            application/json:
              schema:
                type: object
                properties:
                  messageIds:
                    type: array
                    items:
                      type: string
                      format: uuid
                required:
                  - messageIds
                additionalProperties: false
        '400':
          description: >-
            Invalid request or missing required organization or user
            information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: The session is private
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: The caller is not permitted to perform this operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Session resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Session operation conflicts with existing data
          content:
            application/json:
              schema:
                type: object
                properties:
                  messageIds:
                    type: array
                    items:
                      type: string
                      format: uuid
                  error:
                    type: string
                required:
                  - messageIds
                  - error
                additionalProperties: false
        '500':
          description: Session operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Session runtime or provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: >
            import Tembo from '@tembo-io/sdk';


            const client = new Tembo();


            const queue = await
            client.sessions.queue.update('7c9e6679-7425-40de-944b-e07fc1f90ae7',
            {
              messageIds: ['7c9e6679-7425-40de-944b-e07fc1f90ae7'],
            });
        - lang: rust
          label: Rust SDK
          source: |
            use tembo_rs::*;

            let client = Tembo::from_env()?;

            let response = client
                .sessions()
                .queue()
                .update(
                    "7c9e6679-7425-40de-944b-e07fc1f90ae7",
                    QueueUpdateBody {
                        message_ids: vec!["7c9e6679-7425-40de-944b-e07fc1f90ae7".to_string()],
                    },
                )
                .send()
                .await?;
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.